/**
 * Directory module index for apeman.
 * @module apemanmodule
 * @version 1.1.0
 */

"use strict";

const pkg = require('../package.json'),
    print = require('./print'),
    apemanmodule = require('./apemanmodule');

let lib = apemanmodule.bind(this);
lib.print = print;
lib.apemanmodule = apemanmodule;
lib.version = pkg.version;
module.exports = lib;
