/**
 * Test case for apemanmodule.
 * Runs with mocha.
 */
"use strict";

const apemanmodule = require('../lib/apemanmodule.js'),
    assert = require('assert');

describe('apemanmodule', () => {

    before((done) => {
        done();
    });

    after((done) => {
        done();
    });


    it('Apemanmodule', function (done) {

        let index = apemanmodule(`${__dirname}/../doc/mocks/mock_module`);
        assert.ok(index);
        assert.ok(index('foo'));
        assert.ok(index['foo']);

        assert.equal(index['foo'].name, 'foo');
        assert.equal(index['bar'].name, 'bar');
        done();
    });

});

